# Class $HttpBackendProvider

HTTP backend used by the ng.$http service that delegates to XMLHttpRequest object and deals with browser incompatibilities.

You should never need to use this service directly, instead use the higher-level abstractions: ng.$http $http.

- Defined in services/http-backend/http-backend.js:17

#####
Index

### Constructors

constructor

### Properties

$get

##
Constructors

### constructor

- new $HttpBackendProvider(): $HttpBackendProvider

- HTTP backend used by the ng.$http service that delegates to XMLHttpRequest object and deals with browser incompatibilities.

  You should never need to use this service directly, instead use the higher-level abstractions: ng.$http $http.

  #### Returns $HttpBackendProvider

  - Defined in services/http-backend/http-backend.js:17

##
Properties

### $get

$get: (string | (($browser: Browser) => ((method: any, url: any, post: any, callback: any, headers: any, timeout: any, withCredentials: any, responseType: any, eventHandlers: any, uploadEventHandlers: any) => void)))[]

- Defined in services/http-backend/http-backend.js:18